<?php
/*
Plugin Name: AG WooCommerce Barclay ePDQ Payment Gateway
Plugin URI: http://www.agdesignstudio.co.uk/product/ag-barclay-epdq-payment-gateway-woocommerce-2-2-x/
Description: Add a Barcclay ePDQ payment gateway to WooCommerce.
Version: 1.6.2
Author: Aaron @ AG Design Studio
Author URI: http://www.agdesignstudio.co.uk
*/

if( !defined('NOM_EPDQ_DIR') )
	define('NOM_EPDQ_DIR', dirname(__FILE__) . '/' );
add_action('plugins_loaded', 'woocommerce_nom_epdq_init', 0);

function woocommerce_nom_epdq_init() {
	if ( !class_exists( 'WC_Payment_Gateway' ) ) return;

/*
Localisation
*/
	load_plugin_textdomain('woocommerce', false, dirname( plugin_basename( __FILE__ ) ) . '/languages');
/*
Gateway class
*/
	require_once NOM_EPDQ_DIR . 'class.epdq.php';
/*
Add the Gateway to WooCommerce
*/
	function woocommerce_add_nom_epdq_gateway($methods) {
		$methods[] = 'WC_Nom_EPDQ';
		return $methods;
	}
	add_filter('woocommerce_payment_gateways', 'woocommerce_add_nom_epdq_gateway' );
}

/* Check for updates */
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater_967( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));
